Subject: Re: ext2_* in bitops.h

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 04 Mar 2009 16:58:03 +1100

On Tue, 2009-03-03 at 21:27 -0800, Andy Grover wrote:
> Hi,
> 
> Can the ext2_* definitions in arch/powerpc/include/asm/bitops.h be 
> replaced with:
> 
> #include <include/asm-generic/bitops/ext2-non-atomic.h>
> #include <include/asm-generic/bitops/ext2-atomic.h>
>
> ?
> 
> Also, can the bitop swizzling (starting at line 351) be removed by 
> including include/asm-generic/bitops/le.h? It looks very similar if not 
> identical.
> 
> I'm afraid I don't have a ppc to test on so I wanted to see what you all 
> thought.

I suppose you are right, I'll have a closer look.

Cheers,
Ben.